Subject: bug#41145: 27.0.91; small issues with `display-fill-column-indicator' Customization group

From: Stefan Monnier <[email-masked]>
Date: Sun, 30 Aug 2020 13:03:54 -0400

>> > emacs -Q
>> > M-x customize-option RET global-display-fill-column-indicator-mode
>> > And near the end of buffer I read:
>> > Groups: Global Display Fill Column Indicator
>> 
>> Oh, indeed, it's an old misfeature that was introduced by our
>> idiot-in-chief (tho to my defense, I think it made some sense back then
>> because `defcustom` did not have a useful default for `:group`).
>> 
>> We can fix it either by adding `:group 'display-fill-column-indicator`
>> to the `define-globalized-minor-mode` or by getting rid of the
>> misfeature, as in the patch below (this patch will likely fix a few
>> other similar cases).
>> 
>> Eli?
>
> How about doing the former on emacs-27, and the latter on master?

Oh, indeed, I did not intend to change define-minor-mode on the
emacs-27 branch.
So, we have a deal!

        Stefan